=== debian/control ===
Source: fake
Build-Depends: debhelper, patch
Section: admin
Priority: optional
Maintainer: Simon Horman <horms@vergenet.net>
Standards-Version: 3.5.2

Package: fake
Architecture: any
Depends: ${shlibs:Depends}
Description: IP address takeover tool
 Fake is a utility that enables the IP address be taken over by bringing up
 a second interface on the host machine and using gratuitous arp. Designed
 to switch in backup servers on a LAN.
